Summary:	GNOME integration for swfdec Flash rendering library
Summary(pl.UTF-8):	Integracja z GNOME biblioteki renderującej animacje Flash swfdec
Name:		swfdec-gnome
Version:	2.30.1
Release:	3
License:	GPL v2+
Group:		X11/Applications/Multimedia
Source0:	http://ftp.gnome.org/pub/GNOME/sources/swfdec-gnome/2.30/%{name}-%{version}.tar.bz2
# Source0-md5:	28a72e9c2ad79f33e4cf83bbd54fa124
Patch0:		swfdec-0.9.patch
URL:		http://swfdec.freedesktop.org/wiki/
BuildRequires:	GConf2-devel >= 2
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1:1.6
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.26.0
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	swfdec-devel >= 0.8.0
BuildRequires:	swfdec-gtk-devel >= 0.8.0
# for thumbnailer
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2
Requires:	gtk+2 >= 2:2.14.0
Requires:	swfdec-gtk >= 0.8.0
Obsoletes:	swfdec-icons <= 0.7.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains programs to integrate Flash functionality
provided by swfdec libraries into the GNOME desktop. Its main
application is swfdec-player, a stand-alone viewer for Flash files. It
also contains swfdec-thumbnailer, a program that provides screenshots
for files to display in the Nautilus file manager.

%description -l pl.UTF-8
Ten pakiet zawiera programy integrujące obsługę plików Flash
zapewnianą przez biblioteki swfdec ze środowiskiem GNOME. Główna
aplikacja to swfdec-player - samodzielny odtwarzacz plików Flash.
Pakiet zawiera także program swfdec-thumbnailer, dostarczajacy migawki
plików do wyświetlania w zarządcy plików Nautilus.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install swfdec-thumbnailer.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall swfdec-thumbnailer.schemas

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README
# player
%attr(755,root,root) %{_bindir}/swfdec-player
%{_datadir}/swfdec-gnome
%{_desktopdir}/swfdec-player.desktop
%{_mandir}/man1/swfdec-player.1*
# thumbnailer
%attr(755,root,root) %{_bindir}/swfdec-thumbnailer
%{_sysconfdir}/gconf/schemas/swfdec-thumbnailer.schemas
%{_mandir}/man1/swfdec-thumbnailer.1*
%{_iconsdir}/hicolor/*/apps/swfdec-gnome.png
%{_iconsdir}/hicolor/scalable/apps/swfdec-gnome.svg
%changelog
* Wed Oct 09 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/swfdec-gnome.git;a=log;h=master

* Wed Oct 09 2013 Jan Rękorajski <baggins@pld-linux.org> 553267c
- patch the right file

* Wed Oct 09 2013 Jan Rękorajski <baggins@pld-linux.org> 82151fe
- build with swfdec 0.9.x
- rel 3

* Mon Jul 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 8bca805
- updated dependencies
- don't remove en@shaw locale (now supported via $LANGUAGE)

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 94b1caa
- Requires(post,postun): gtk-update-icon-cache

* Fri Oct 01 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 81e208d
- updated to 2.30.1

* Tue Jul 13 2010 hawk <hawk@pld-linux.org> 0c45d35
- release 2

* Fri Apr 02 2010 Szymon Siwek <sls@pld-linux.org> 33cec0f
- removed en@shaw locale

* Fri Apr 02 2010 Szymon Siwek <sls@pld-linux.org> f018a80
- ver. 2.30.0

* Sun Mar 29 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 7c1e306
- updated to 2.26.0

* Mon Oct 13 2008 Szymon Siwek <sls@pld-linux.org> e8b764a
- __intltoolize

* Tue Oct 07 2008 dzeus <dzeus@pld-linux.org> 39afb8b
- md5

* Tue Oct 07 2008 dzeus <dzeus@pld-linux.org> df2062b
- up to 2.24.0

* Fri Apr 11 2008 Szymon Siwek <sls@pld-linux.org> e4ba655
- ver. 2.22.2

* Wed Mar 12 2008 Patryk Zawadzki <patrys@room-303.com> 3d3833c
- 2.22.0
- merged from DEVEL

* Tue Dec 18 2007 vip <vip@pld-linux.org> 981c80c
- not needed anymore, already in 0.5.5 tarball

* Tue Dec 18 2007 vip <vip@pld-linux.org> 43601e6
- up to 0.5.5

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 2e30a3c
- requires equal version of swfdec

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> c8b3220
- new

